const CleanWebpackPlugin = require('clean-webpack-plugin')
const path = require('path')
module.exports = {
  mode: 'development',
  entry: {
    index: './src/index.js'
  },
  output: {
    filename: 'custom-json2excel.js',
    path: __dirname + '/dist',
    library: 'custom-json2excel',
    libraryTarget: 'umd'
  },
  // optimization: {
  //   splitChunks: {
  //     cacheGroups: {
  //       commons: {
  //         name: 'commons',
  //         chunks: 'initial',
  //         minChunks: 2
  //       }
  //     }
  //   }
  // },
  module: {
    rules: [
      {
        test: /\.js$/,
        loader: 'babel-loader',
        include: [path.resolve('src')]
      }
    ]
  },
  plugins: [
    new CleanWebpackPlugin(['dist'], {
      verbose: false
    })
  ]
}
